<?php
namespace Newsletter;
return array(
	    'doctrine' => array(
	        'driver' => array(
	            __NAMESPACE__ . '_driver' => array(
	                'class' => 'Doctrine\ORM\Mapping\Driver\AnnotationDriver',
	                'cache' => 'array',
	                'paths' => array(__DIR__ . '/../src/' . __NAMESPACE__ . '/Entity')
	            ),
	            'orm_default' => array(
	                'drivers' => array(
	                    __NAMESPACE__ . '\Entity' => __NAMESPACE__ . '_driver'
	                )
	            )
	        )
	    ),
		'controllers' => array(
				'invokables' => array(
						'Newsletter\Controller\Newsletter' => 'Newsletter\Controller\NewsletterController'
				),
		),
	    'console' => array(
	        'router' => array(
	            'routes' => array(
	                'sendnewsletter' => array(
	                    'options' => array(
	                        'route'    => 'newsletter send <nlId> <test> <profileId>',
	                        'defaults' => array(
	                            'controller' => 'Newsletter\Controller\Newsletter',
	                            'action'     => 'send'
	                        )
	                    )
	                )
	            )
	        )
	    )
);